#!/usr/bin/env bash

pkgname="checks-parser"
pkgver="3.0"
revision="1"

pkg=${pkgname}_$pkgver-$revision
mkdir $pkg

mkdir -p $pkg/usr/bin

cp ../../checks-parser $pkg/usr/bin

mkdir $pkg/DEBIAN

echo \
"Package: $pkgname
Version: $pkgver-$revision
Section: utils
Priority: optional
Architecture: amd64
Homepage: https://git.foxarmy.org/checks-parser
Depends: libc, qtbase5-dev, openssl, libmbedtls-dev, tesseract-ocr, tesseract-ocr-rus, libopencv-dev, libzbar-dev, qttools5-dev, nlohmann-json3-dev, libcurl4-openssl-dev, libtesseract-dev
Maintainer: Leca <leca@foxarmy.org>
Description: Utility for parsing checks(receipts) to csv
 Utility for extraction of content of a check(receipt) using plaintext, OCR or request to FTS (Federal Taxation Service)"\
> $pkg/DEBIAN/control

dpkg-deb --build $pkg
rm -rf $pkg
